aboutsummaryrefslogtreecommitdiffstats
path: root/test/config.sh
diff options
context:
space:
mode:
authorEvan Huus <eapache@gmail.com>2014-02-03 19:56:49 -0500
committerEvan Huus <eapache@gmail.com>2014-02-04 00:59:07 +0000
commit1cd78285270dace76023d8a7e0d5694ce964f0b4 (patch)
tree617640c41e2374bf330ddf0a88e1417019544de9 /test/config.sh
parent2e7f771a182df815e8c3d38986a1df0c77d7e4aa (diff)
Various fixes to the Lua int64 code
- add casts to pacify certain buildbots - skip test if lua isn't available Change-Id: I614c05dca40cb848c87b361e4b3d3c4e94aafb9e Reviewed-on: https://code.wireshark.org/review/97 Reviewed-by: Evan Huus <eapache@gmail.com> Tested-by: Evan Huus <eapache@gmail.com>
Diffstat (limited to 'test/config.sh')
-rwxr-xr-xtest/config.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/config.sh b/test/config.sh
index 8fb5a66e3d..9f07f52da7 100755
--- a/test/config.sh
+++ b/test/config.sh
@@ -99,6 +99,11 @@ export WIRESHARK_QUIT_AFTER_CAPTURE="True"
CAPTURE_DIR="$TESTS_DIR/captures/"
+# Figure out if we were built with lua or not so we can skip the lua tests if we
+# don't have it. Is there a better way to do this than grepping config.h?
+grep -q "#define HAVE_LUA 1" $SOURCE_DIR/config.h
+HAVE_LUA=$?
+
# Display our environment
##printf "\n ------- Info =-----------------\n"